{% extends 'bar/upper.html' %}

{% load static %}


{% block link %}

<script src="{% static 'main.js' %}"></script>

{% endblock %}


{% block content %}

<div class="container">

    <div class="mt-5">

        <h1 style="text-align:center">Register to subscribe</h1>

    </div>


    <div class="mt-3" id="msg_response"></div> <!-- create user response -->

    <form class="form-group" method="POST" id="subscribe_form" onsubmit="return false;">
        {% csrf_token %}
        
        {% for field in the_form %}
        <div class="form-group">

            {{ field.label }}
            {{ field }}

        </div>
        {% endfor %}

        <div class="mt-4" id="msg_validate"></div> <!--validate response-->

        <div class="pull-right">
            <input id="subscribe_button" type="submit" value="Subscribe" class="btn btn-primary" disabled onclick=subscribe()>
        </div>

    </form>

    <div class="mt-5">
        <div class="container-fluid">
            <div class="table-responsive">
                <table class="table table-sm table-bordered table-dark" id="list_user" style="width:100%">
                    <thead class="thead-dark">
                        <tr>
                            <th>Subscriber Name</th>
                            <th>Email</th>
                            <th>Unsubscribe</th>
                        </tr>
                    </thead>
                    <tbody>

                        {% for i in user_account %}
                        <tr class="table-primary">
                            <td style="color:black">{{ i.nama }} </td>
                            <td style="color:black">{{ i.email }} </td>
                            <td style="text-align:center"><input id="unsubscribe_button" data-id="{{i.pk}}" type="submit" value="Unsubscribe" class="btn btn-danger" name="id_subscriber"></td>
                        </tr>
                        {% endfor %}

                    </tbody>
                </table>
            </div>

            <div class="pagination pull-right">
                <span class="step-links">
                    {% if user_account.has_previous %}
                    <a href="?page=1">&laquo; first</a>
                    <a href="?page={{ user_account.previous_page_number }}">previous</a>
                    {% endif %}

                    <span class="current">
                        Page {{ user_account.number }} of {{ user_account.paginator.num_pages }}.
                    </span>

                    {% if user_account.has_next %}
                    <a href="?page={{ user_account.next_page_number }}">next</a>
                    <a href="?page={{ user_account.paginator.num_pages }}">last &raquo;</a>
                    {% endif %}
                </span>
            </div>

        </div>
    
    </div>

</div>

{% endblock %}
